use clap::{arg, command, ArgMatches};

pub fn get_args() -> ArgMatches {
    command!()
        .about("Lint markdown frontmatter using JSON Schema")
        .arg(arg!([schema] "Schema file used for validation").required(true))
        .arg(arg!([file] "File to validate").required(true))
        .arg(arg!(-g --greedy "Require all properties to be present even if they are not strictly required in schema").required(false))
        .arg(clap::Arg::new("empty-frontmatter").short('e').long("empty-frontmatter").conflicts_with("ignore-missing-frontmatter").required(false).num_args(0).help("Treat missing frontmatter as empty frontmatter"))
        .arg(clap::Arg::new("ignore-missing-frontmatter").short('i').long("ignore-missing-frontmatter").conflicts_with("empty-frontmatter").required(false).num_args(0).help("Dont print an error when no frontmatter has been found"))
        .get_matches()
}
